Skip to main content
GET
/
v2
/
mining
/
licenses
List Mining Licenses
curl --request GET \
  --url https://api.sectors.app/v2/mining/licenses/ \
  --header 'Authorization: <authorization>'
{
    "results": [
        {
            "wiup_code": "3411003442014022",
            "license_number": "503/1573/IUP-OP/BPPMD-PTSP/X/2015",
            "license_type": "IUP",
            "province": "Kalimantan Timur",
            "city": "Paser",
            "license_effective_date": "2015-10-02",
            "license_expiry_date": "2025-10-02",
            "activity": "Operasi Produksi",
            "licensed_area_ha": 1500.5,
            "location": {
                "type": "Point",
                "coordinates": [116.123, -1.456]
            },
            "commodity_type": "Coal",
            "company_name": "PT Jasa Tambang Nusantara",
            "cnc": "CnC",
            "generation": null,
            "company_slug": "jasa-tambang-nusantara"
        }
    ],
    "pagination": {
        "total_count": 1,
        "showing": 1,
        "limit": 20,
        "offset": 0,
        "has_next": false,
        "has_previous": false,
        "next_offset": null,
        "previous_offset": null
    }
}
{
    "results": [
        {
            "wiup_code": "3411003442014022",
            "license_number": "503/1573/IUP-OP/BPPMD-PTSP/X/2015",
            "license_type": "IUP",
            "province": "Kalimantan Timur",
            "city": "Paser",
            "license_effective_date": "2015-10-02",
            "license_expiry_date": "2025-10-02",
            "activity": "Operasi Produksi",
            "licensed_area_ha": 1500.5,
            "location": {
                "type": "Point",
                "coordinates": [116.123, -1.456]
            },
            "commodity_type": "Coal",
            "company_name": "PT Jasa Tambang Nusantara",
            "cnc": "CnC",
            "generation": null,
            "company_slug": "jasa-tambang-nusantara"
        }
    ],
    "pagination": {
        "total_count": 1,
        "showing": 1,
        "limit": 20,
        "offset": 0,
        "has_next": false,
        "has_previous": false,
        "next_offset": null,
        "previous_offset": null
    }
}
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Query Parameters

company
string
Filter by company slug.
province
string
Filter licenses by the province they are registered in. Exact match.
commodity_type
string
Filter licenses by a specific commodity (e.g., Coal, Nickel). Case-insensitive.
license_type
string
Filter by license type (e.g., IUP, IUPK). Case-insensitive.
activity
string
Filter by activity stage (e.g., Eksplorasi, Operasi Produksi). Case-insensitive.
cnc
string
Filter by Clear & Clean status value. Case-insensitive.
expiring_soon
boolean
Set to true to find licenses that will expire within the next 365 days.
order_by
string
default:"license_expiry_date"
Sort field. Allowed: license_expiry_date, license_effective_date, licensed_area_ha, commodity_type. Prefix with - for descending.
limit
integer
default:"20"
Number of results to return. Maximum value is 30.
offset
integer
default:"0"
Number of results to skip. Used for pagination.

Response

results
MiningLicense[]
pagination
object